Skip to main content
POST
/
api
/
customers
/
get-customers
curl -X POST 'https://crypto-api.yativo.com/api/customers/get-customers' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
{
  "data": [
    {
      "_id": "cust_67d01994740754bbf304abcd",
      "username": "alice_merchant",
      "email": "alice@example.com",
      "phone_number": "+1234567890",
      "user_id": "usr_6615c3a1e55d9ff7bc0a1234",
      "createdAt": "2026-01-11T11:08:04.559Z",
      "updatedAt": "2026-01-11T11:08:04.559Z"
    }
  ],
  "status": true
}
Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
customerId
string
required
The unique customer ID.
interface CustomerDetail {
  id: string;
  email: string;
  first_name: string;
  last_name: string;
  phone?: string;
  status: "active" | "suspended" | "pending";
  kyc_status: "not_started" | "pending" | "approved" | "rejected";
  wallets?: Array<{ address: string; network: string; balance: string }>;
  created_at: string;
  updated_at: string;
}
curl -X POST 'https://crypto-api.yativo.com/api/customers/get-customers' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
{
  "data": [
    {
      "_id": "cust_67d01994740754bbf304abcd",
      "username": "alice_merchant",
      "email": "alice@example.com",
      "phone_number": "+1234567890",
      "user_id": "usr_6615c3a1e55d9ff7bc0a1234",
      "createdAt": "2026-01-11T11:08:04.559Z",
      "updatedAt": "2026-01-11T11:08:04.559Z"
    }
  ],
  "status": true
}